cond.logLik {pomp} | R Documentation

## Conditional log likelihood

### Description

The estimated conditional log likelihood from a fitted model.

### Usage

    ## S4 method for signature 'kalmand_pomp'
    cond.logLik(object, ...)

    ## S4 method for signature 'pfilterd_pomp'
    cond.logLik(object, ...)

    ## S4 method for signature 'bsmcd_pomp'
    cond.logLik(object, ...)

### Arguments

`object` | result of a filtering computation
`...` | ignored

### Details

The conditional likelihood is defined to be the value of the density of

Yt | Y1,…,Y(t-1)

evaluated at Yt = yt*. Here, Yt is the observable process and yt* is the data, at time t.

Thus the conditional log likelihood at time t is

ell_t(theta)=log f[Yt = yt*t | Y1=y1*, …, Y(t-1)=y(t-1)*],

where f is the probability density above.

### Value

The numerical value of the conditional log likelihood. Note that some methods compute not the log likelihood itself but instead a related quantity. To keep the code simple, the `cond.logLik` function is nevertheless used to extract this quantity.

When `object` is of class ‘bsmcd_pomp’ (i.e., the result of a `bsmc2` computation), `cond.logLik` returns the conditional log “evidence” (see `bsmc2`).

### See Also

Other particle filter methods: `bsmc2`, `eff.sample.size`, `filter.mean`, `filter.traj`, `mif2`, `pfilter`, `pmcmc`, `pred.mean`, `pred.var`

[Package pomp version 2.3 Index]